Subject: How the prefixes configured on point-to-point link are handled in OSPFv3

From: prasanna <[email-masked]>
Date: Fri, 13 Aug 2004 14:13:50 +0530

Hi

What does the following sentence (section 3.4.3.7) in the RFC 2740 mean?

Router RTX examines its list of interfaces to the area. If the

      interface is in state Down, its prefixes are not included. If the

      interface has been reported in RTX's router-LSA as a Type 2 link

      description (link to transit network), its prefixes are not

      included (they will be included in the intra-area-prefix-LSA for

      the link instead). If the interface type is Point-to-MultiPoint,

      or the interface is in state Loopback, or the interface connects

      to a point-to-point link which has not been assigned a prefix,

      then the site-local and global scope IPv6 addresses associated

      with the interface (if any) are copied into the intra-area-

      prefix-LSA, setting the LA-bit in the PrefixOptions field, and

      setting the PrefixLength to 128 and the Metric to 0.  Otherwise,

      the list of site-local and global prefixes configured in RTX for

      the link are copied into the intra-area-prefix-LSA by specifying

      the PrefixLength, PrefixOptions, and Address Prefix fields. The

      Metric field for each of these prefixes is set to the interface's

      output cost.

Considering the following example

RTA<serial 1>-------------------<serial1>RTB

Does it mean that RTA will advertise the prefix configured on serial 1
with LA bit set, iff there is no prefix configured on the serial1 of
RTB?

Thanx and regards

Prasanna

---

From: Acee Lindem <[email-masked]>
Date: Wed, 18 Aug 2004 17:19:04 -0400

Hi Prasanna,

Refer to: 

http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0405&L=ospf&T=0&F=&S=&P=2297

The answer to your question is "no", the prefix configuration of RTB doesn't have
bearing on what is advertised. 
  ----- Original Message ----- 
  From: prasanna 
  To: [email-masked] 
  Sent: Friday, August 13, 2004 4:43 AM
  Subject: How the prefixes configured on point-to-point link are handled in OSPFv3

  Hi

        output cost.

  Does it mean that RTA will advertise the prefix configured on serial 1 with LA bit set, iff there is no prefix configured on the serial1 of RTB?

  Thanx and regards

  Prasanna

---

From: vanitha <[email-masked]>
Date: Thu, 19 Aug 2004 12:07:17 +0530

Hi Ace,
            What is the advantage we gain by setting LA bit for /128
addresses of point to point interfaces.
            LA bit setting is useful for making virtual link up. That is
taken care by the below lines in the RFC.

If RTX has one or more virtual links configured through the area,
      it includes one of its site-local or global scope IPv6 interface
      addresses in the LSA (if it hasn't already), setting the LA-bit in
      the PrefixOptions field, and setting the PrefixLength to 128 and
      the Metric to 0. This information will be used later in the
      routing calculation so that the two ends of the virtual link can
      discover each other's IPv6 addresses

Regards,
Vanitha N.

  -----Original Message-----
  [vanitha]
  From: Mailing List [mailto:[email-masked]]On Behalf Of Acee
Lindem
  Sent: Thursday, August 19, 2004 2:49 AM
  To: [email-masked]
  Subject: Re: How the prefixes configured on point-to-point link are
handled in OSPFv3

  Hi Prasanna,

  Refer to:

http://peach.ease.lsoft.com/scripts/wa.exe?A2=ind0405&L=ospf&T=0&F=&S=&P=229
7

  The answer to your question is "no", the prefix configuration of RTB
doesn't have
  bearing on what is advertised.
    ----- Original Message -----
    From: prasanna
    To: [email-masked]
    Sent: Friday, August 13, 2004 4:43 AM
    Subject: How the prefixes configured on point-to-point link are handled
in OSPFv3

    Hi

          output cost.

    Does it mean that RTA will advertise the prefix configured on serial 1
with LA bit set, iff there is no prefix configured on the serial1 of RTB?

    Thanx and regards

    Prasanna

***************************************************************************
This message is proprietary to Future Software Limited (FSL)
and is intended solely for the use of the individual to whom it
is addressed. It may contain  privileged or confidential information
and should not be circulated or used for any purpose other than for
what it is intended.

If you have received this message in error, please notify the
originator immediately. If you are not the intended recipient,
you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message.
FSL accepts no responsibility for loss or damage arising from
the use of the information transmitted by this email including
damage from virus.
***************************************************************************

---

From: Acee Lindem <[email-masked]>
Date: Thu, 19 Aug 2004 09:02:28 -0400

Hi Vanitha,

Since a /128 doesn't route you anywhere other than the local system it seems
to be, by definition, a local address. In our implementation, we only allow /128 IPv6
addresses to be configured on loopback interfaces. 

Acee
  ----- Original Message ----- 
  From: vanitha 
  To: [email-masked] 
  Sent: Thursday, August 19, 2004 2:37 AM
  Subject: Re: How the prefixes configured on point-to-point link are handled in OSPFv3

  Hi Ace,
              What is the advantage we gain by setting LA bit for /128 addresses of point to point interfaces. 
              LA bit setting is useful for making virtual link up. That is taken care by the below lines in the RFC.

  Regards,
  Vanitha N.

    -----Original Message-----
    [vanitha]  
    From: Mailing List [mailto:[email-masked]]On Behalf Of Acee Lindem
    Sent: Thursday, August 19, 2004 2:49 AM
    To: [email-masked]
    Subject: Re: How the prefixes configured on point-to-point link are handled in OSPFv3

    Hi Prasanna,

    Refer to: 

      ----- Original Message ----- 
      From: prasanna 
      To: [email-masked] 
      Sent: Friday, August 13, 2004 4:43 AM
      Subject: How the prefixes configured on point-to-point link are handled in OSPFv3

      Hi

            output cost.

      Thanx and regards

      Prasanna